//
//  PTRAppStateManagerInterface.h
//  Pointr-04516aee
//
//  Created by Furkan Erdem Perşembe on 15.05.2019.
//

#import <PointrKit/PTRAppStateTypes.h>
#import <PointrKit/PTRListenerHelper.h>

NS_ASSUME_NONNULL_BEGIN

/// App state manager delegate.
OBJC_EXPORT @protocol PTRAppStateManagerDelegate<NSObject>

/**
 * Called when app changes state
 * @param state Possible states are Launching, Foreground, Background, Terminating
 */
- (void)onAppStateManagerChangedState:(PTRAppState)state;

@end

/// App state manager.
OBJC_EXPORT @protocol PTRAppStateManagerInterface<NSObject>

PTR_GENERATE_LISTENER_DECLARATIONS(PTRAppStateManagerDelegate)

/// Get application state.
/// @return Current app state.
- (PTRAppState)getApplicationState;

@end

NS_ASSUME_NONNULL_END
