//
//  PTRFeatureTypeCoodinator.h
//  PointrKit
//
//  Created by Pointr on 03/06/2022.
//  Copyright © 2022 Pointr. All rights reserved.
//

#import <Foundation/Foundation.h>

#import <PointrKit/PTRFeatureType.h>

NS_ASSUME_NONNULL_BEGIN

/// Class that provides information on map features.
@interface PTRFeatureTypeCoordinator : NSObject

- (instancetype)init NS_UNAVAILABLE;

/// Function to convert type code into a `PTRFeatureType` object.
/// @param typeCode Feature's type code.
- (PTRFeatureType *)featureTypeForTypeCode:(NSString *)typeCode;

/// Function to check if a type code is from class.
/// @param typeCode Type code .
/// @param featureTypeClass Feature Type Class.
- (BOOL)isTypeCode:(NSString *)typeCode typeClass:(PTRFeatureTypeClass)featureTypeClass;

@end

NS_ASSUME_NONNULL_END
