#import <Foundation/Foundation.h>

#import <PointrKit/PTRMutableAppStateManagerConfiguration.h>
#import <PointrKit/PTRMutableAugmentingRealityConfiguration.h>
#import <PointrKit/PTRMutableDataManagerConfiguration.h>
#import <PointrKit/PTRMutableGeofenceManagerConfiguration.h>
#import <PointrKit/PTRMutableLocationSharingConfiguration.h>
#import <PointrKit/PTRMutablePathManagerConfiguration.h>
#import <PointrKit/PTRMutablePoiManagerConfiguration.h>
#import <PointrKit/PTRMutablePositionManagerConfiguration.h>
#import <PointrKit/PTRMutableSdkConfiguration.h>
#import <PointrKit/PTRMutableUserInterfaceConfiguration.h>

NS_ASSUME_NONNULL_BEGIN

/// Editable configuration model class
OBJC_EXPORT @interface PTRMutableConfiguration : NSObject

/// Initializes a default mutable configuration (to be used for runtime updates)
- (instancetype)init;

/// App state manager configuration
@property (nonatomic, strong, readonly) PTRMutableAppStateManagerConfiguration *appStateManagerConfiguration;

/// Augmenting reality configuration
@property (nonatomic, strong, readonly) PTRMutableAugmentingRealityConfiguration *augmentingRealityConfiguration;

/// Data manager configuration
@property (nonatomic, strong, readonly) PTRMutableDataManagerConfiguration *dataManagerConfiguration;

/// Geofence manager configuration
@property (nonatomic, strong, readonly) PTRMutableGeofenceManagerConfiguration *geofenceManagerConfiguration;

/// Location sharing configuration
@property (nonatomic, strong, readonly) PTRMutableLocationSharingConfiguration *locationSharingConfiguration;

/// Path manager configuration
@property (nonatomic, strong, readonly) PTRMutablePathManagerConfiguration *pathManagerConfiguration;

/// Poi manager configuration
@property (nonatomic, strong, readonly) PTRMutablePoiManagerConfiguration *poiManagerConfiguration;

/// Position manager configuration
@property (nonatomic, strong, readonly) PTRMutablePositionManagerConfiguration *positionManagerConfiguration;

/// SDK configuration
@property (nonatomic, strong, readonly) PTRMutableSdkConfiguration *sdkConfiguration;

/// User interface configuration
@property (nonatomic, strong, readonly) PTRMutableUserInterfaceConfiguration *userInterfaceConfiguration;

@end

NS_ASSUME_NONNULL_END
