//
//  PTRPoiGroup.h
//  Pointr
//
//  Created by Erkan Sen on 20.11.2017.
//

#import <Foundation/Foundation.h>
#import <PointrKit/PTRPoi.h>

NS_ASSUME_NONNULL_BEGIN

/**
 * PTRPoiGroup represents POI's which have same name and type.
 */
OBJC_EXPORT @interface PTRPoiGroup : NSObject

/// Group name.
@property (nullable, nonatomic, strong, readonly) NSString *groupName;

/// Group type.
@property (nullable, nonatomic, strong, readonly) NSString *groupType;

/// Group description.
@property (nullable, nonatomic, strong, readonly) NSString *groupDescription;

/// The pois represented by this group.
@property (nonatomic, strong, readonly) NSArray<PTRPoi *> *poiList;

/// Initialises a POI group with a name and an NSArray of PTRPoi elements with the given name.
/// @param poiList The list of poi.
- (instancetype)initWithPoiList:(NSArray<PTRPoi *> *)poiList NS_DESIGNATED_INITIALIZER;
- (instancetype)init NS_UNAVAILABLE;
@end

NS_ASSUME_NONNULL_END
