// AUTO-GENERATED FILE (DO NOT MODIFY)

#import <Foundation/Foundation.h>

#import <PointrKit/PTRPositioningTypes.h>

NS_ASSUME_NONNULL_BEGIN

/**
 * PTRPositionManagerConfiguration
 */
OBJC_EXPORT @interface PTRPositionManagerConfiguration : NSObject

- (instancetype)init NS_UNAVAILABLE;

/**
 *  Whether CoreBluetooth is enabled for beacon input
 *  Default is false
 */
@property (nonatomic, assign, readonly) BOOL isCoreBluetoothEnabled;
/**
 *  Whether CoreLocation is enabled for beacon input
 *  Default is true
 */
@property (nonatomic, assign, readonly) BOOL isCoreLocationEnabled;
/**
 *  Time to spend in beacon/GPS silence before fading location (in seconds)
 *  Default is 5.0
 */
@property (nonatomic, assign, readonly) float thresholdForFadingPositionInSeconds;
/**
 *  Time to spend in beacon/GPS silence before losing location (in seconds)
 *  Default is 30.0
 */
@property (nonatomic, assign, readonly) float thresholdForLosingPositionInSeconds;
/**
 *  Time required to pass after last valid location to produce an invalid location output (in seconds)
 *  Default is 5.0
 */
@property (nonatomic, assign, readonly) float thresholdForInvalidatingPosition;
/**
 *  Whether beacon-based positioning is enabled in the app background state
 *  Default is false
 */
@property (nonatomic, assign, readonly) BOOL isBackgroundPositioningEnabled;
/**
 *  Whether GPS is enabled in the app foreground state
 *  Default is true
 */
@property (nonatomic, assign, readonly) BOOL isGpsTrackingEnabledInForeground;
/**
 *  Whether GPS is enabled in the app background state
 *  Default is false
 */
@property (nonatomic, assign, readonly) BOOL isGpsTrackingEnabledInBackground;
/**
 *  Whether to try restarting BLE automatically, when BLE stack gets corrupted.
 *  Default is false
 */
@property (nonatomic, assign, readonly) BOOL shouldRestartBleWhenCorrupted;
/**
 *  Whether sensor fusion is enabled (for improved location accuracy)
 *  Default is true
 */
@property (nonatomic, assign, readonly) BOOL isFusionEnabled;
/**
 *  Heading offset of the map relative to true north in degrees
 */
@property (nonatomic, assign, readonly) float headingOffset;
/**
 *  Configured Bluetooth beacon transmission power level (between 1-9)
 *  Default is 4
 */
@property (nonatomic, assign, readonly) int beaconPowerLevel;
/**
 *  Time to spend in beacon silence before stopping positioning (in seconds)
 *  Default is 60.0
 */
@property (nonatomic, assign, readonly) float beaconSilenceTimeInSeconds;
/**
 *  Time to spend in GPS silence before stopping positioning (in seconds)
 *  Default is 120.0
 */
@property (nonatomic, assign, readonly) float gpsSilenceTimeInSeconds;
/**
 *  Sensor sampling period (in seconds)
 *  Default is 0.02
 */
@property (nonatomic, assign, readonly) float sensorSamplingPeriodInSeconds;
/**
 *  Preferred GPS accuracy in app foreground state
 */
@property (nonatomic, assign, readonly) PTRGpsAccuracyMode gpsAccuracyModeInForeground;
/**
 *  Preferred GPS accuracy in app background state
 */
@property (nonatomic, assign, readonly) PTRGpsAccuracyMode gpsAccuracyModeInBackground;
/**
 *  Preferred activity type for OS location services
 */
@property (nonatomic, assign, readonly) PTRActivityType activityType;
/**
 *  Typical GPS location update interval in app foreground state (in seconds)
 *  Default is 3.0
 */
@property (nonatomic, assign, readonly) float gpsUpdateIntervalInSecondsInForeground;
/**
 *  Typical GPS location update interval in app background state (in seconds)
 *  Default is 6.0
 */
@property (nonatomic, assign, readonly) float gpsUpdateIntervalInSecondsInBackground;
/**
 *  Fastest GPS location update interval in app foreground state (in seconds)
 *  Default is 1.0
 */
@property (nonatomic, assign, readonly) float gpsFastestUpdateIntervalInSecondsInForeground;
/**
 *  Fastest GPS location update interval in app background state (in seconds)
 *  Default is 2.0
 */
@property (nonatomic, assign, readonly) float gpsFastestUpdateIntervalInSecondsInBackground;
/**
 *  (iOS only) Distance to be covered before triggering a GPS update
 *  Default is -1
 */
@property (nonatomic, assign, readonly) float gpsDistanceFilter;
/**
 *  Whether to allow and consider landscape orientations for heading calculation. Disabling this will
 *  assume portrait orientation always.
 *  Default is false
 */
@property (nonatomic, assign, readonly) BOOL shouldAllowLandscapeDeviceOrientations;
/**
 *  Internal identifier of the building assigned to outdoor locations
 */
@property (nonatomic, assign, readonly) int outdoorBuildingInternalIdentifier;
/**
 *  Index of the level assigned to outdoor locations, if outdoor building assignment is enabled
 *  Default is 0
 */
@property (nonatomic, assign, readonly) int outdoorLevelIndex;
/**
 *  Alias of isBackgroundPositioningEnabled. Whether beacon-based positioning is enabled in the app
 *  background state
 *  Default is false
 */
@property (nonatomic, assign, readonly) BOOL shouldEnablePositioningInBackground;
/**
 *  Alias of isGpsTrackingEnabledInForeground. Whether GPS is enabled in the app foreground state
 *  Default is true
 */
@property (nonatomic, assign, readonly) BOOL isGpsTrackingEnabled;
/**
 *  Alias of isGpsTrackingEnabledInForeground. Whether GPS is enabled in the app foreground state
 *  Default is true
 */
@property (nonatomic, assign, readonly) BOOL isGpsEnabled;
/**
 *  Alias of outdoorBuildingInternalIdentifier. Internal identifier of the building assigned to outdoor
 *  locations
 */
@property (nonatomic, assign, readonly) int outdoorFacilityInternalIdentifier;

@end

NS_ASSUME_NONNULL_END
