//
//  PTRGeoLineString.h
//
//  Created by Pointr on 06/11/2022.
//  Copyright © 2022 Pointr. All rights reserved.
//

#import <PointrKit/PTRGeometry.h>

@class PTRGeoPoint;

NS_ASSUME_NONNULL_BEGIN

/// Model class for a line string geometry.
@interface PTRGeoLineString : PTRGeometry

/// The points that form the line.
@property (strong, nonatomic, readonly, nonnull) NSArray<PTRGeoPoint *> *points;

- (instancetype)init NS_UNAVAILABLE;

/// Initialiser with points.
/// - Parameter points: Line's points.
- (instancetype)initWithPoints:(NSArray<PTRGeoPoint *> *)points;

@end

NS_ASSUME_NONNULL_END
