//
//  PTRGeofenceEvent.h
//  Pointr
//
//  Created by Furkan Erdem Perşembe on 18.12.2018.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

/// Enum for geofence evernt type
typedef NS_ENUM(int, PTRGeofenceEventType) {
    /// Enter event.
    PTRGeofenceEventTypeEnter = 0,
    /// Exit event.
    PTRGeofenceEventTypeExit = 1
};

@class PTRGeofence;

/// Geofence event class.
OBJC_EXPORT @interface PTRGeofenceEvent : NSObject

/**
 * Type of Geofence Event
 */
@property (nonatomic, assign, readonly) PTRGeofenceEventType type;

/**
 * Geofence that triggered the event
 */
@property (nonatomic, strong, readonly) PTRGeofence *geofence;

/**
 * Date of Event
 */
@property (nonatomic, strong, readonly) NSDate *date;


- (instancetype)init NS_UNAVAILABLE;

@end

NS_ASSUME_NONNULL_END
