// AUTO-GENERATED FILE (DO NOT MODIFY)

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

/**
 * PTRGeofenceManagerConfiguration
 */
OBJC_EXPORT @interface PTRGeofenceManagerConfiguration : NSObject

- (instancetype)init NS_UNAVAILABLE;

/**
 *  Time in seconds since last detected inside, after which a exit event is considered
 *  Default is 300.0
 */
@property (nonatomic, assign, readonly) float regionTimeoutInterval;
/**
 *  Scanning period while the app is in the foreground
 *  Default is 1100
 */
@property (nonatomic, assign, readonly) int scanPeriodForeground;
/**
 *  Scanning period while the app is in the foreground
 *  Default is 0
 */
@property (nonatomic, assign, readonly) int betweenScanPeriodForeground;
/**
 *  Scanning period while the app is in the background
 *  Default is 10000
 */
@property (nonatomic, assign, readonly) int scanPeriodBackground;
/**
 *  Scanning period while the app is in the background
 *  Default is 300000
 */
@property (nonatomic, assign, readonly) int betweenScanPeriodBackground;
/**
 *  The maximum number of beacons geofences to register with native services (iOS only)
 *  Default is 10
 */
@property (nonatomic, assign, readonly) int beaconGeofencesToRegisterMaxCountIos;
/**
 *  How long an entry signal should be considered when determining building entry
 *  Default is 10.0
 */
@property (nonatomic, assign, readonly) float geofenceWindowDurationInSeconds;
/**
 *  Enable/Disable level geofences
 *  Default is true
 */
@property (nonatomic, assign, readonly) BOOL isLevelGeofencingEnabled;
/**
 *  Enable/Disable golbal geofences
 *  Default is false
 */
@property (nonatomic, assign, readonly) BOOL isGlobalGeofencingEnabled;
/**
 *  If this is true, then global geofencing logic relies only on native geofencing (for iOS)
 *  Default is true
 */
@property (nonatomic, assign, readonly) BOOL isGlobalGeofencingNativeOnlyIos;
/**
 *  If this is true, then global geofencing logic relies only on native geofencing (for Android)
 *  Default is false
 */
@property (nonatomic, assign, readonly) BOOL isGlobalGeofencingNativeOnlyAndroid;
/**
 *  How much distance in meters is considered a significant change of GPS
 *  Default is 1000
 */
@property (nonatomic, assign, readonly) float significantGPSChangeThresholdInMeters;
/**
 *  Geofence is expanded / shrunk by X percentage (of the geofence's approximate radius) for detecting
 *  Enter
 *  Default is 1.5F
 */
@property (nonatomic, assign, readonly) float globalGeofenceDistanceToleranceForEnter;
/**
 *  Geofence is expanded / shrunk by X percentage (of the geofence's approximate radius) for detecting
 *  Exit
 *  Default is 3.0F
 */
@property (nonatomic, assign, readonly) float globalGeofenceDistanceToleranceForExit;
/**
 *  Geofence is expanded / shrunk by X percentage (of the geofence's approximate radius) for detecting
 *  Enter
 *  Default is 0.F
 */
@property (nonatomic, assign, readonly) float levelGeofenceDistanceToleranceForEnter;
/**
 *  Geofence is expanded / shrunk by X percentage (of the geofence's approximate radius) for detecting
 *  Exit
 *  Default is 0.F
 */
@property (nonatomic, assign, readonly) float levelGeofenceDistanceToleranceForExit;
/**
 *  Period of rechecking geofences in seconds
 *  Default is 60
 */
@property (nonatomic, assign, readonly) float geofenceRecheckingPeriodInSeconds;
/**
 *  Geofences that have a state change within the value of this setting will not fire an event. In
 *  seconds
 *  Default is 30
 */
@property (nonatomic, assign, readonly) float globalGeofenceIgnorePeriodSinceLastTriggerInSeconds;
/**
 *  Geofences that have a state change within the value of this setting will not fire an event. In
 *  seconds
 *  Default is 30
 */
@property (nonatomic, assign, readonly) float levelGeofenceIgnorePeriodSinceLastTriggerInSeconds;
/**
 *  Location updates with accuracy worse than this value will be ignored (in meters)
 *  Default is 1000
 */
@property (nonatomic, assign, readonly) float locationWorstAccuracyAccepted;
/**
 *  The maximum distance to current location of the geofences that are selected to be registered with
 *  native geofencing services
 *  Default is 50000
 */
@property (nonatomic, assign, readonly) float geofencesToRegisterMaxDistanceInMeters;
/**
 *  The maximum number of geofences to register with native services (iOS only)
 *  Default is 10
 */
@property (nonatomic, assign, readonly) int geofencesToRegisterMaxCountIos;
/**
 *  The maximum number of geofences to register with native services (Android only)
 *  Default is 100
 */
@property (nonatomic, assign, readonly) int geofencesToRegisterMaxCountAndroid;
/**
 *  Whether geofence state updates should be uploaded
 *  Default is false
 */
@property (nonatomic, assign, readonly) BOOL shouldUploadGlobalGeofenceStateUpdates;
/**
 *  Whether geofence state updates should be uploaded
 *  Default is false
 */
@property (nonatomic, assign, readonly) BOOL shouldUploadLevelGeofenceStateUpdates;

@end

NS_ASSUME_NONNULL_END
