// AUTO-GENERATED FILE (DO NOT MODIFY)

#import <Foundation/Foundation.h>

#import <PointrKit/PTRGeofenceManagerConfiguration.h>

NS_ASSUME_NONNULL_BEGIN

/**
 * PTRMutableGeofenceManagerConfiguration
 */
OBJC_EXPORT @interface PTRMutableGeofenceManagerConfiguration : PTRGeofenceManagerConfiguration

- (instancetype)init NS_UNAVAILABLE;

/**
 *  Time in seconds since last detected inside, after which a exit event is considered
 *  Default is 300.0
 */
@property (nonatomic, assign, readwrite) float regionTimeoutInterval;
/**
 *  Scanning period while the app is in the foreground
 *  Default is 1100
 */
@property (nonatomic, assign, readwrite) int scanPeriodForeground;
/**
 *  Scanning period while the app is in the foreground
 *  Default is 0
 */
@property (nonatomic, assign, readwrite) int betweenScanPeriodForeground;
/**
 *  Scanning period while the app is in the background
 *  Default is 10000
 */
@property (nonatomic, assign, readwrite) int scanPeriodBackground;
/**
 *  Scanning period while the app is in the background
 *  Default is 300000
 */
@property (nonatomic, assign, readwrite) int betweenScanPeriodBackground;
/**
 *  The maximum number of beacons geofences to register with native services (iOS only)
 *  Default is 10
 */
@property (nonatomic, assign, readwrite) int beaconGeofencesToRegisterMaxCountIos;
/**
 *  How long an entry signal should be considered when determining building entry
 *  Default is 10.0
 */
@property (nonatomic, assign, readwrite) float geofenceWindowDurationInSeconds;
/**
 *  Enable/Disable level geofences
 *  Default is true
 */
@property (nonatomic, assign, readwrite) BOOL isLevelGeofencingEnabled;
/**
 *  Enable/Disable golbal geofences
 *  Default is false
 */
@property (nonatomic, assign, readwrite) BOOL isGlobalGeofencingEnabled;
/**
 *  If this is true, then global geofencing logic relies only on native geofencing (for iOS)
 *  Default is true
 */
@property (nonatomic, assign, readwrite) BOOL isGlobalGeofencingNativeOnlyIos;
/**
 *  If this is true, then global geofencing logic relies only on native geofencing (for Android)
 *  Default is false
 */
@property (nonatomic, assign, readwrite) BOOL isGlobalGeofencingNativeOnlyAndroid;
/**
 *  How much distance in meters is considered a significant change of GPS
 *  Default is 1000
 */
@property (nonatomic, assign, readwrite) float significantGPSChangeThresholdInMeters;
/**
 *  Geofence is expanded / shrunk by X percentage (of the geofence's approximate radius) for detecting
 *  Enter
 *  Default is 1.5F
 */
@property (nonatomic, assign, readwrite) float globalGeofenceDistanceToleranceForEnter;
/**
 *  Geofence is expanded / shrunk by X percentage (of the geofence's approximate radius) for detecting
 *  Exit
 *  Default is 3.0F
 */
@property (nonatomic, assign, readwrite) float globalGeofenceDistanceToleranceForExit;
/**
 *  Geofence is expanded / shrunk by X percentage (of the geofence's approximate radius) for detecting
 *  Enter
 *  Default is 0.F
 */
@property (nonatomic, assign, readwrite) float levelGeofenceDistanceToleranceForEnter;
/**
 *  Geofence is expanded / shrunk by X percentage (of the geofence's approximate radius) for detecting
 *  Exit
 *  Default is 0.F
 */
@property (nonatomic, assign, readwrite) float levelGeofenceDistanceToleranceForExit;
/**
 *  Period of rechecking geofences in seconds
 *  Default is 60
 */
@property (nonatomic, assign, readwrite) float geofenceRecheckingPeriodInSeconds;
/**
 *  Geofences that have a state change within the value of this setting will not fire an event. In
 *  seconds
 *  Default is 30
 */
@property (nonatomic, assign, readwrite) float globalGeofenceIgnorePeriodSinceLastTriggerInSeconds;
/**
 *  Geofences that have a state change within the value of this setting will not fire an event. In
 *  seconds
 *  Default is 30
 */
@property (nonatomic, assign, readwrite) float levelGeofenceIgnorePeriodSinceLastTriggerInSeconds;
/**
 *  Location updates with accuracy worse than this value will be ignored (in meters)
 *  Default is 1000
 */
@property (nonatomic, assign, readwrite) float locationWorstAccuracyAccepted;
/**
 *  The maximum distance to current location of the geofences that are selected to be registered with
 *  native geofencing services
 *  Default is 50000
 */
@property (nonatomic, assign, readwrite) float geofencesToRegisterMaxDistanceInMeters;
/**
 *  The maximum number of geofences to register with native services (iOS only)
 *  Default is 10
 */
@property (nonatomic, assign, readwrite) int geofencesToRegisterMaxCountIos;
/**
 *  The maximum number of geofences to register with native services (Android only)
 *  Default is 100
 */
@property (nonatomic, assign, readwrite) int geofencesToRegisterMaxCountAndroid;
/**
 *  Whether geofence state updates should be uploaded
 *  Default is false
 */
@property (nonatomic, assign, readwrite) BOOL shouldUploadGlobalGeofenceStateUpdates;
/**
 *  Whether geofence state updates should be uploaded
 *  Default is false
 */
@property (nonatomic, assign, readwrite) BOOL shouldUploadLevelGeofenceStateUpdates;

@end

NS_ASSUME_NONNULL_END
