//
//  PTRParams.h
//  PointrKit
//
//  Created by Ahmet Gülden on 5.01.2021.
//

#import <Foundation/Foundation.h>

#import "PTREnvironment.h"
#import "PTRLogger.h"

@class PointrMode;

/// Model class to define all the Pointr parameters upon initialisation.
OBJC_EXPORT @interface PTRParams : NSObject

/// License key for Pointr SDK.
@property (nonatomic, strong, nonnull) NSString *licenseKey;

/// `PointrMode` currently defined on the `Pointr` instance.
@property (nonatomic, strong, nonnull) PointrMode *mode;

/// `PTRLoggerLevel` currently defined on the `Pointr` instance.
@property (nonatomic, assign) PTRLoggerLevel loggerLevel;

/// `PTREnvironment` currently defined on the `Pointr` instance.
@property (nonatomic, assign) PTREnvironment environment;

/// Path where resources including PointrContent.zip reside. Defaults to `Bundle.main.bundlePath`.
@property (nonatomic, strong, nonnull) NSString *resourcesFolder;

/// Client Identifier. Defaults to the one set on the baseconfiguration.json.
@property (nonatomic, strong, nullable) NSString *clientIdentifier;

/// Pointr Cloud base URL. Defaults to the one set on the baseconfiguration.json.
@property (nonatomic, strong, nullable) NSString *baseUrl;

@end
