//
//  PTRSite.h
//  PointrCore
//
//  Created by Pointr in 2022.
//

#import <PointrKit/PTRBuilding.h>

NS_ASSUME_NONNULL_BEGIN

/// Model class for a site
OBJC_EXPORT @interface PTRSite : NSObject

/// Internal identifier
@property (nonatomic, readonly) int internalIdentifier;

/// External identifier
@property (nonatomic, readonly) NSString *externalIdentifier;

/// Title
@property (nonatomic, readonly) NSString *title;

/// Buildings contained by this site
@property (nonatomic, readonly) NSArray<PTRBuilding *> *buildings;

/// North-East aligned bounding box of this site
@property (nonatomic, readonly) PTRBoundingBox *boundingBox;

@end

NS_ASSUME_NONNULL_END
