//
//  PTRBackgroundTimer.h
//  PointrKitCore
//
//  Created by Ahmet Gülden on 20.11.2020.
//

#import <Foundation/Foundation.h>

@interface PTRBackgroundTimer : NSObject

/// Creates a timer that will act as a timer on the concurrent queue. It should be stored somewhere so that it can be
/// stopped later.
/// @param interval The number of seconds between firings of the timer.
/// @param block The execution body of the timer.
+ (nonnull PTRBackgroundTimer *)scheduledTimerWithInterval:(NSTimeInterval)interval block:(nonnull void (^)(void))block;

/// Asynchronously stops the timer from ever firing again.
- (void)invalidate;

@end
